IMVIRT(1)

NAME
imvirt - detects several virtualizations

SYNOPSIS
imvirt

DESCRIPTION
This manual page documents briefly the imvirt script. imvirt tries to detect if it runs on a physical machine or on a virtualized one. If it detects that it is a virtualized one it also tries to find out which virtualization technology is used.

USAGE
imvirt does not need any arguments. But there is at the moment a restriction if you do not call this script with the administrative root user, because imvirt also uses dmidecode to determine the used virtualization technology. dmidecode itself needs root privileges to accesss /dev/mem. So on you have to wrap imvirt with sudo if you want to detect every virtualization technology.

SEE ALSO
dmidecode(8)

AUTHOR
This manual page was written by Patrick Matthäi <pmatthaei@debian.org> for imvirt. Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 2 any later version published by the Free Software Foundation.